<?php

/**
 *
 * @package    jpMail.plugin
 * @subpackage controller
 * @author     Yoshinori Ishii <ishii.yoshinori@itra.jp>
 */
class sfFrontWebJpMailController extends sfFrontWebController
{
  /**
   * Sends and email.
   *
   * This methods calls a module/action with the sfMailView class.
   *
   * @param  string  $module  A module name
   * @param  string  $action  An action name
   *
   * @return string The generated mail content
   *
   * @see sfMailView, getPresentationFor(), sfController
   */
  public function sendEmail($module, $action)
  {
    if (sfConfig::get('sf_logging_enabled'))
    {
      $this->dispatcher->notify(new sfEvent($this, 'application.log', array('sendEmail method called')));
    }

    $sf_test = sfConfig::get('sf_test');

    sfConfig::set('sf_test', true);

    $retval = $this->getPresentationFor($module, $action);

    sfConfig::set('sf_test', $sf_test);

    return $retval;
  }
}