<?php
/**
 *
 * @package    jpMail.plugin
 * @subpackage lib
 * @author     brt river <brt.river@gmail.com>
 */
class jpMail extends sfMail
{
  public function __construct()
  {
    parent::__construct();
    parent::initialize();
    mb_language('Ja');
    $this->setCharset('iso-2022-jp');
    $this->setEncoding('7bit');
  }
  public function setBody($body)
  {
    $body = mb_convert_encoding($body, $this->getCharset(), mb_internal_encoding());
    parent::setBody($body);
  }
  public function setAltBody($body)
  {
    $body = mb_convert_encoding($body, $this->getCharset(), mb_internal_encoding());
    parent::setAltBody($body);
 }
  public function setFrom($mail, $name = null)
  {
    $name = $this->_mb_encode_mimeheader($name);
    parent::setFrom($mail, $name);
  }
  public function setSender($mail, $name = null)
  {
    $name = $this->_mb_encode_mimeheader($name);
    parent::setSender($mail, $name);
  }
  public function setSubject($subject)
  {
    $subject = $this->_mb_encode_mimeheader($subject);
    parent::setSubject($subject);
  }
  private function _filter($value)
  {
    return str_replace("\x00", "", trim($value));
  }
  private function _mb_encode_mimeheader($value)
  {
    $value = $this->_filter($value);
    if (strtolower($this->getCharset()) === "iso-2022-jp")
    {
      return mb_encode_mimeheader($value, $this->getCharset(), 'B', "\n");
    }
    else
    {
      return $value;
    }
  }
}
